<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>Module and Class Hierarchies</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css"></link>
</head>
<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">

<!-- =========== START OF NAVBAR =========== -->
<table class="navbar" border="0" width="100%" cellpadding="0" bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="center">
    <th class="navbar">&nbsp;&nbsp;&nbsp;<a class="navbar" href="yumguicore-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
    <th bgcolor="#70b0f0" class="navselect">&nbsp;&nbsp;&nbsp;Trees&nbsp;&nbsp;&nbsp;</th>
    <th class="navbar">&nbsp;&nbsp;&nbsp;<a class="navbar" href="indices.html">Index</a>&nbsp;&nbsp;&nbsp;</th>
    <th class="navbar">&nbsp;&nbsp;&nbsp;<a class="navbar" href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
    <th class="navbar" width="100%"></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
    </td>
    <td><table cellpadding="0" cellspacing="0">
      <tr><td align="right"><font size="-2">[<a href="../private/trees.html">show&nbsp;private</a>&nbsp;|&nbsp;hide&nbsp;private]</font></td></tr>
      <tr><td align="right"><font size="-2">[<a href="frames.html"target="_top">frames</a>&nbsp;|&nbsp;<a href="trees.html" target="_top">no&nbsp;frames</a>]</font></td></tr>
    </table></td>
</tr></table>

<!-- =========== START OF MODULE HIERARCHY =========== -->
<h2>Module Hierarchy</h2>
<ul>
<li> <b><a href="yumguicore-module.html"><code>yumguicore</code></a></b>
  <ul>
    <li> <b><a href="yumguicore.callback-module.html"><code>callback</code></a></b>
    <li> <b><a href="yumguicore.i18n-module.html"><code>i18n</code></a></b>
    <li> <b><a href="yumguicore.misc-module.html"><code>misc</code></a></b>
  </ul>
</ul>

<!-- =========== START OF CLASS HIERARCHY =========== -->
<h2>Class Hierarchy</h2>
<ul>
  <li> <b><a href="__builtin__.object-class.html"><code>__builtin__.object</code></a></b>: <i>
The most base type</i>
    <ul>
  <li> <b><a href="exceptions.BaseException-class.html"><code>exceptions.BaseException</code></a></b>: <i>
Common base class for all exceptions</i>
    <ul>
  <li> <b><a href="exceptions.Exception-class.html"><code>exceptions.Exception</code></a></b>: <i>
Common base class for all non-exit exceptions.</i>
    <ul>
  <li> <b><a href="yum.Errors.YumBaseError-class.html"><code>yum.Errors.YumBaseError</code></a></b>
    <ul>
  <li> <b><a href="yumguicore.YumGuiError-class.html"><code>yumguicore.YumGuiError</code></a></b>: <i>
The basic YumGuiError class</i>
    </ul>
    </ul>
    </ul>
  <li> <b><a href="yum.depsolve.Depsolve-class.html"><code>yum.depsolve.Depsolve</code></a></b>
    <ul>
  <li> <b><a href="yum.YumBase-class.html"><code>yum.YumBase</code></a></b>: <i>
This is a primary structure and base class.</i>
    <ul>
  <li> <b><a href="yumguicore.YumGuiBase-class.html"><code>yumguicore.YumGuiBase</code></a></b>: <i>
GUI Extention to the YumBase class</i>
    </ul>
    </ul>
  <li> <b><a href="__builtin__.type-class.html"><code>__builtin__.type</code></a></b>: <i>
type(object) -&gt; the object's type type(name, bases, dict) -&gt; a 
new type</i>
    </ul>
  <li> <b><a href="yumguicore.callback.RPMCallback-class.html"><code>yumguicore.callback.RPMCallback</code></a></b>: <i>
Generic RPM callback abstract class based on the one used in yum The 
RPM callback loop in passed on into function there can be overloaded.</i>
</ul>

<!-- =========== START OF NAVBAR =========== -->
<table class="navbar" border="0" width="100%" cellpadding="0" bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="center">
    <th class="navbar">&nbsp;&nbsp;&nbsp;<a class="navbar" href="yumguicore-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
    <th class="navbar">&nbsp;&nbsp;&nbsp;<a class="navbar" href="trees.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
    <th class="navbar">&nbsp;&nbsp;&nbsp;<a class="navbar" href="indices.html">Index</a>&nbsp;&nbsp;&nbsp;</th>
    <th class="navbar">&nbsp;&nbsp;&nbsp;<a class="navbar" href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
    <th class="navbar" width="100%"></th>
  </tr>
</table>

<table border="0" cellpadding="0" cellspacing="0" width="100%">
  <tr>
    <td align="left"><font size="-2">Generated by Epydoc 2.1 on Thu Jul 19 13:44:22 2007</font></td>
    <td align="right"><a href="http://epydoc.sourceforge.net"
                      ><font size="-2">http://epydoc.sf.net</font></a></td>
  </tr>
</table>
</body>
</html>
